# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Classes | Functions | Variables
glib-integration.cpp File Reference
`#include <dbus-c++/glib-integration.h>`
`#include <dbus/dbus.h>`
Include dependency graph for glib-integration.cpp:

Go to the source code of this file.

## Classes

struct | BusSource
struct | DispatcherSource

## Functions

static gboolean | watch_prepare (GSource *source, gint *timeout)
static gboolean | watch_check (GSource *source)
static gboolean | watch_dispatch (GSource *source, GSourceFunc callback, gpointer data)
static gboolean | dispatcher_prepare (GSource *source, gint *timeout)
static gboolean | dispatcher_check (GSource *source)
static gboolean | dispatcher_dispatch (GSource *source, GSourceFunc callback, gpointer user_data)

## Variables

static GSourceFuncs | watch_funcs
static const GSourceFuncs | dispatcher_funcs

## Function Documentation

## ◆ dispatcher_check()

gboolean dispatcher_check | ( | GSource * | source | ) |

static

Definition at line 221 of file glib-integration.cpp.

## ◆ dispatcher_dispatch()

gboolean dispatcher_dispatch | ( | GSource * | source,
|  | GSourceFunc | callback,
|  | gpointer | user_data )

static

Definition at line 227 of file glib-integration.cpp.

References DBus::Dispatcher::dispatch_pending().

## ◆ dispatcher_prepare()

gboolean dispatcher_prepare | ( | GSource * | source,
|  | gint * | timeout )

static

Definition at line 212 of file glib-integration.cpp.

References DBus::Dispatcher::has_something_to_dispatch().

## ◆ watch_check()

gboolean watch_check | ( | GSource * | source | ) |

static

Definition at line 96 of file glib-integration.cpp.

References DBus::debug_log, and BusSource::poll.

## ◆ watch_dispatch()

gboolean watch_dispatch | ( | GSource * | source,
|  | GSourceFunc | callback,
|  | gpointer | data )

static

Definition at line 104 of file glib-integration.cpp.

References DBus::debug_log.

## ◆ watch_prepare()

gboolean watch_prepare | ( | GSource * | source,
|  | gint * | timeout )

static

Definition at line 88 of file glib-integration.cpp.

References DBus::debug_log.

## Variable Documentation

## ◆ dispatcher_funcs

const GSourceFuncs dispatcher_funcs

static

Initial value:
=
{
dispatcher_prepare,
dispatcher_check,
dispatcher_dispatch,
NULL
}
dispatcher_dispatch
static gboolean dispatcher_dispatch(GSource *source, GSourceFunc callback, gpointer user_data)
Definition glib-integration.cpp:227
dispatcher_check
static gboolean dispatcher_check(GSource *source)
Definition glib-integration.cpp:221
dispatcher_prepare
static gboolean dispatcher_prepare(GSource *source, gint *timeout)
Definition glib-integration.cpp:212

Definition at line 237 of file glib-integration.cpp.

Referenced by DBus::Glib::BusDispatcher::attach().

## ◆ watch_funcs

GSourceFuncs watch_funcs

static

Initial value:
=
{
watch_prepare,
watch_check,
watch_dispatch,
NULL
}
watch_check
static gboolean watch_check(GSource *source)
Definition glib-integration.cpp:96
watch_prepare
static gboolean watch_prepare(GSource *source, gint *timeout)
Definition glib-integration.cpp:88
watch_dispatch
static gboolean watch_dispatch(GSource *source, GSourceFunc callback, gpointer data)
Definition glib-integration.cpp:104

Definition at line 112 of file glib-integration.cpp.

Referenced by DBus::Glib::BusWatch::_enable().